Get All Charging Invoices
curl --request GET \
--url https://api.tessie.com/charging_invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tessie.com/charging_invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tessie.com/charging_invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 242345313,
"started_at": 1699829921,
"ended_at": 1699833374,
"invoice_number": "3000P0085545388",
"vin": "7SA3CBE6XPF123456",
"location": "Yuma, AZ - South Fortuna Road",
"energy_used": 70,
"idle_minutes": 0,
"charging_fees": 24.5,
"idle_fees": 0,
"total_cost": 24.5,
"cost_per_kwh": 0.35,
"currency": "USD",
"invoice_url": "https://tesla.com/teslaaccount/charging/invoice/f4d990ab-f32f-4965-8f61-6e7603714a41"
},
{
"id": 242281757,
"started_at": 1699818910,
"ended_at": 1699821672,
"invoice_number": "3000P0085503265",
"vin": "7SA3CBE6XPF123456",
"location": "Tempe, AZ",
"energy_used": 72,
"idle_minutes": 0,
"charging_fees": 18.72,
"idle_fees": 0,
"total_cost": 18.72,
"cost_per_kwh": 0.26,
"currency": "USD",
"invoice_url": "https://tesla.com/teslaaccount/charging/invoice/ae422c93-7e86-43d3-a24f-58f0604a1b06"
}
]
}Vehicle Data
Get All Charging Invoices
Returns charging invoices for all vehicles.
For fleet accounts only.
GET
/
charging_invoices
Get All Charging Invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The IANA timezone name.
The start of the timeframe. Unix timestamp in seconds.
The end of the timeframe. Unix timestamp in seconds.
The associated VIN.
Example:
"7SA3ASD6XPF123456"
Whether to output the results in JSON or CSV.
Available options:
json, csv Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I

